# $Revision: 1.16 $, $Date: 2004/05/07 01:22:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	B
%define		pnam	Size
Summary:	B::Size, B::TerseSize - tools to measure size of Perl OPs and [SAV]Vs
Summary(pl):	B::Size, B::TerseSize - narzdzia do okrelania rozmiaru perlowych OP i [SAV]V
Name:		perl-B-Size
Version:	0.05
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	69d631c746f0cac973efaa3d63c78fe2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The B::Size and B::TerseSize modules attempt to measure the size of
Perl op codes. The output of B::TerseSize is similar to that of
B::Terse, but includes the size of each OP in the tree and the PADLIST
(subroutine lexical variables). The module can be run just as other
compiler backends or used via Apache::Status (version 2.02 and
higher).

%description -l pl
Moduy B::Size i B::TerseSize prbuj okreli rozmiar perlowych
opkodw. Wyjcie B::TerseSize jest podobne do wyjcia B::Terse, ale
zawiera rozmiar kadego OP w drzewie oraz PADLIST (leksykalne zmienne
procedur). Modu moe by uruchamiany tak jak inne backendy
kompilatora lub uywany poprzez Apache::Status (w wersji 2.02 lub
wyszej).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/B/*.pm
%dir %{perl_vendorarch}/auto/B
%dir %{perl_vendorarch}/auto/B/Size
%{perl_vendorarch}/auto/B/Size/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/B/Size/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-B-Size.spec,v $
Revision 1.16  2004/05/07 01:22:53  ankry
- rel. 5

Revision 1.15  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.13  2004/04/17 15:07:40  ankry
- license/summary/description fixes

Revision 1.12  2004/03/09 20:58:31  adamg
- new style bconds

Revision 1.11  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:36:47  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:44  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/16 08:41:25  ankry
- added missing dir
- release 3

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/01 09:00:43  radek
- new, STBR
